ServerEvents.recipes(event => 
	{


		//Immersive Engineering

        
        event.remove({input: 'immersiveengineering:plate_lead'})





            event.remove({id: 'immersiveengineering:smelting/ingot_hop_graphite'})
            event.remove({id: 'immersiveengineering:crafting/cokebrick'})
            event.remove({id: 'immersiveengineering:crafting/balloon'})
            event.remove({id: 'immersiveengineering:metalpress/plate_steel'})
            event.remove({id: 'immersiveengineering:metalpress/plate_brass'})
            event.remove({id: 'immersiveengineering:arcfurnace/steel'})
            event.remove({id: 'immersiveengineering:smelting/ingot_steel_from_dust'})
            event.remove({id: 'immersiveengineering:smelting/slag_glass'})
            event.remove({id: 'immersiveengineering:crafting/rockcutter'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_steel'})
            event.remove({id: 'immersiveengineering:crafting/sawblade'})
            event.remove({id: 'immersiveengineering:crafting/gunpart_drum'})
            event.remove({id: 'immersiveengineering:crafting/razor_wire'})
            event.remove({id: 'immersiveengineering:crafting/shield'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_chemthrower_focus'})
            event.remove({id: 'immersiveengineering:crafting/component_steel'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_revolver_magazine'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_drill_capacity'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_drill_fortune'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_nickel'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_lead'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_iron'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_copper'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_silver'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_gold'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_electrum'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_constantan'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_uranium'})
            event.remove({id: 'immersiveengineering:crafting/sheetmetal_aluminum'})
            event.remove({id: 'immersiveengineering:crafting/capacitor_lv'})
            event.remove({id: 'immersiveengineering:crafting/capacitor_mv'})
            event.remove({id: 'immersiveengineering:crafting/capacitor_hv'})
            event.remove({id: 'immersiveengineering:crafting/concrete_leaded'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_shield_flash'})
            event.remove({id: 'immersiveengineering:crafting/empty_shell'})
            event.remove({id: 'immersiveengineering:crafting/furnace_heater'})
            event.remove({id: 'immersiveengineering:crafting/fluid_pipe'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_drill_waterproof'})
            event.remove({id: 'immersiveengineering:crafting/redstone_breaker'})
            event.remove({id: 'immersiveengineering:crafting/charging_station'})
            event.remove({id: 'immersiveengineering:crafting/lantern'})
            event.remove({id: 'immersiveengineering:crafting/electric_lantern'})
            event.remove({id: 'immersiveengineering:crafting/component_iron'})
            event.remove({id: 'immersiveengineering:crafting/fluid_pump'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_drill_lube'})
            event.remove({id: 'immersiveengineering:crafting/jerrycan'})
            event.remove({id: 'immersiveengineering:crafting/jerrycan_red_steel'})
            event.remove({id: 'immersiveengineering:crafting/jerrycan_blue_steel'})
            event.remove({id: 'immersiveengineering:crafting/floodlight'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_railgun_capacitors'})
            event.remove({id: 'immersiveengineering:crafting/thermoelectric_generator'})
            event.remove({id: 'immersiveengineering:crafting/radiator'})
            event.remove({id: 'immersiveengineering:crafting/toolupgrade_powerpack_tesla'})
            event.remove({id: 'immersiveengineering:crafting/tesla_coil'})
            event.remove({id: 'immersiveengineering:crafting/toolbox'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_iron'})
            event.remove({id: 'immersiveengineering:crafting/steel_scaffolding_standard'})
            event.remove({id: 'immersiveengineering:crafting/light_engineering'})
            event.remove({id: 'immersiveengineering:crafting/rs_engineering'})
            event.remove({id: 'immersiveengineering:crafting/heavy_engineering'})
            event.remove({id: 'immersiveengineering:crafting/reinforced_crate'})
            event.remove({id: 'immersiveengineering:crafting/glider'})
            event.remove({id: 'immersiveengineering:crafting/wirecoil_copper'})
            event.remove({id: 'immersiveengineering:crafting/wirecoil_electrum'})
            event.remove({id: 'immersiveengineering:crafting/wirecoil_steel'})
            event.remove({id: 'immersiveengineering:crafting/wirecoil_redstone'})
            event.remove({id: 'immersiveengineering:crafting/wirecoil_structure_rope'})
            event.remove({id: 'immersiveengineering:crafting/copper_ingot_to_nugget_copper'})
            event.remove({id: 'immersiveengineering:crafting/revolver'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_silver'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_nickel'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_gold'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_copper'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_lead'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_uranium'})
            event.remove({id: 'immersiveengineering:crafting/raw_hammercrushing_aluminum'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_silver'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_nickel'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_gold'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_lead'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_uranium'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_aluminum'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_iron'})
            event.remove({id: 'immersiveengineering:crafting/hammercrushing_copper'})
            event.remove({id: 'immersiveengineering:crafting/connector_hv'})
            event.remove({id: 'immersiveengineering:crafting/connector_mv'})
            event.remove({id: 'immersiveengineering:crafting/connector_mv_relay'})
            event.remove({id: 'immersiveengineering:crafting/torch'})
            event.remove({id: 'immersiveengineering:crafting/blastfurnace_preheater'})
            event.remove({id: 'immersiveengineering:crafting/concrete'})
            event.remove({id: 'immersiveengineering:crafting/hemp_fabric'})
            event.remove({id: 'immersiveengineering:crafting/conveyor_basic'})
            event.remove({id: 'immersiveengineering:crafting/tinted_glass_lead_wire'})



            



            
            event.remove({id: 'immersiveengineering:crafting/wire_copper'})
            event.remove({id: 'immersiveengineering:crafting/wire_electrum'})
            event.remove({id: 'immersiveengineering:crafting/wire_aluminum'})
            event.remove({id: 'immersiveengineering:crafting/wire_steel'})
            event.remove({id: 'immersiveengineering:crafting/wire_lead'})
            event.remove({id: 'immersiveengineering:metalpress/rod_copper'})
            event.remove({id: 'immersiveengineering:metalpress/rod_gold'})
            event.remove({id: 'immersiveengineering:metalpress/rod_electrum'})
            event.remove({id: 'immersiveengineering:metalpress/rod_brass'})
            event.remove({id: 'immersiveengineering:metalpress/wire_iron'})






            event.remove({id: 'immersiveengineering:crafting/blueprint_molds'})
            event.remove({id: 'immersiveengineering:blueprint/mold_bullet_casing'})
            event.remove({id: 'immersiveengineering:blueprint/mold_gear'})
            event.remove({id: 'immersiveengineering:blueprint/mold_packing_4'})
            event.remove({id: 'immersiveengineering:blueprint/mold_packing_9'})
            event.remove({id: 'immersiveengineering:blueprint/mold_plate'})
            event.remove({id: 'immersiveengineering:blueprint/mold_rod'})
            event.remove({id: 'immersiveengineering:blueprint/mold_unpacking'})
            event.remove({id: 'immersiveengineering:blueprint/mold_wire'})
            event.remove({id: 'immersiveengineering:blueprint/banner_bevels'})
            event.remove({id: 'immersiveengineering:blueprint/bullet_potion'})








            event.remove({id: 'immersiveengineering:blueprint/component_steel'})
            event.remove({id: 'immersiveengineering:blueprint/component_iron'})
            event.remove({id: 'immersiveengineering:blueprint/circuit_board'})
            event.remove({id: 'immersiveengineering:blueprint/electron_tube'})



            event.remove({id: 'immersiveengineering:alloysmelter/invar'})




            event.remove({id: 'immersiveengineering:arcfurnace/alloy_invar'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_uranium'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_block_uranium'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_nickel'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_block_nickel'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_silver'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_block_silver'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_lead'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_block_lead'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_aluminum'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_block_aluminum'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_zinc'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_block_zinc'})
            event.remove({id: 'immersiveengineering:arcfurnace/raw_ore_tin'})
            event.remove({id: 'immersiveengineering:arcfurnace/ore_silver'})
            event.remove({id: 'immersiveengineering:arcfurnace/ore_nickel'})



            
            event.remove({id: 'immersiveengineering:crusher/raw_ore_uranium'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_uranium'})
            event.remove({id: 'immersiveengineering:crusher/raw_ore_nickel'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_nickel'})
            event.remove({id: 'immersiveengineering:crusher/raw_ore_silver'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_silver'})
            event.remove({id: 'immersiveengineering:crusher/raw_ore_lead'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_lead'})
            event.remove({id: 'immersiveengineering:crusher/raw_ore_aluminium'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_aluminium'})
            event.remove({id: 'immersiveengineering:crusher/raw_ore_zinc'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_zinc'})
            event.remove({id: 'immersiveengineering:crusher/cobblestone'})
            event.remove({id: 'immersiveengineering:crusher/ore_coal'})
            event.remove({id: 'immersiveengineering:crusher/blaze_powder'})
            event.remove({id: 'immersiveengineering:crusher/ore_lapis'})
            event.remove({id: 'immersiveengineering:crusher/ore_quartz'})
            event.remove({id: 'immersiveengineering:crusher/ore_emerald'})
            event.remove({id: 'immersiveengineering:crusher/gravel'})




            
            event.remove({id: 'immersiveengineering:refinery/biodiesel'})
            event.remove({id: 'immersiveengineering:refinery/acetaldehyde'})



            event.remove({id: 'immersiveengineering:jei_bucket_lpg'})
            event.remove({id: 'immersiveengineering:jei_bucket_kerosene'})
            event.remove({id: 'immersiveengineering:jei_bucket_gasoline'})
            event.remove({id: 'immersiveengineering:jei_bucket_diesel'})

            








        




        // Plates
            
            
            event.remove({id: 'railcraft:rolling/invar_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_invar'})
            event.remove({id: 'tfc_ie_addon:crafting/invar_sheet_to_plate'})

            event.remove({id: 'railcraft:rolling/nickel_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_nickel'})
            event.remove({id: 'tfc_ie_addon:crafting/nickel_sheet_to_plate'})

            event.remove({id: 'railcraft:rolling/zinc_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_zinc'})
            event.remove({id: 'tfc_ie_addon:crafting/zinc_sheet_to_plate'})

            event.remove({id: 'railcraft:rolling/lead_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_lead'})
            event.remove({id: 'tfc_ie_addon:crafting/lead_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/iron_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_iron'})
            event.remove({id: 'tfc_ie_addon:crafting/wrought_iron_sheet_to_plate'})
            event.remove({id: 'tfc_ie_addon:metalpress/plate_wrought_iron'})
            
            event.remove({id: 'railcraft:rolling/copper_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_copper'})
            event.remove({id: 'tfc_ie_addon:crafting/copper_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/brass_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_brass'})
            event.remove({id: 'tfc_ie_addon:crafting/brass_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/bronze_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_bronze'})
            event.remove({id: 'tfc_ie_addon:crafting/bronze_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/silver_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_silver'})
            event.remove({id: 'tfc_ie_addon:crafting/silver_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/tin_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_tin'})
            event.remove({id: 'tfc_ie_addon:crafting/tin_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/gold_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_gold'})
            event.remove({id: 'tfc_ie_addon:crafting/gold_sheet_to_plate'})
            
            event.remove({id: 'railcraft:rolling/steel_plate'})
            event.remove({id: 'immersiveengineering:metalpress/steel_plate'})
            event.remove({id: 'tfc_ie_addon:crafting/steel_sheet_to_plate'})



            
            event.remove({id: 'tfc_ie_addon:crafting/electrum_sheet_to_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_electrum'})
            event.remove({id: 'tfc_ie_addon:crafting/constantan_sheet_to_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_constantan'})
            event.remove({id: 'tfc_ie_addon:crafting/uranium_sheet_to_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_uranium'})
            event.remove({id: 'tfc_ie_addon:crafting/aluminum_sheet_to_plate'})
            event.remove({id: 'immersiveengineering:metalpress/plate_aluminum'})



            
            event.remove({id: 'immersiveengineering:metalpress/gear_invar'})
            event.remove({id: 'immersiveengineering:metalpress/rod_zinc'})



            //TFC Addon
            event.remove({id: 'tfc_ie_addon:crafting/steel_sheet_to_plate'})
            event.remove({id: 'tfc_ie_addon:blueprint/mold_block'})
            event.remove({id: 'tfc_ie_addon:blueprint/mold_sheet'})

            event.remove({id: 'tfc_ie_addon:metalpress/sheet_aluminum'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_bismuth'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_bismuth_bronze'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_black_bronze'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_black_steel'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_blue_steel'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_brass'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_bronze'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_cast_iron'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_chromium'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_constantan'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_copper'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_electrum'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_gold'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_lead'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_nickel'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_red_steel'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_rose_gold'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_silver'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_stainless_steel'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_steel'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_sterling_silver'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_tin'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_uranium'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_wrought_iron'})
            event.remove({id: 'tfc_ie_addon:metalpress/sheet_zinc'})
            event.remove({id: 'tfc_ie_addon:metalpress/steel_block'})




            event.remove({id: 'tfc_ie_addon:anvil/drillhead_blue_steel'})
            event.remove({id: 'tfc_ie_addon:anvil/drillhead_red_steel'})
            event.remove({id: 'tfc_ie_addon:anvil/gunpart_barrel'})
            


            event.remove({id: 'tfc_ie_addon:squeezer/barley'})
            event.remove({id: 'tfc_ie_addon:squeezer/beet'})
            event.remove({id: 'tfc_ie_addon:squeezer/cabbage'})
            event.remove({id: 'tfc_ie_addon:squeezer/carrot'})
            event.remove({id: 'tfc_ie_addon:squeezer/garlic'})
            event.remove({id: 'tfc_ie_addon:squeezer/green_bean'})
            event.remove({id: 'tfc_ie_addon:squeezer/jute'})
            event.remove({id: 'tfc_ie_addon:squeezer/maize'})
            event.remove({id: 'tfc_ie_addon:squeezer/oat'})
            event.remove({id: 'tfc_ie_addon:squeezer/olive'})
            event.remove({id: 'tfc_ie_addon:squeezer/onion'})
            event.remove({id: 'tfc_ie_addon:squeezer/potato'})
            event.remove({id: 'tfc_ie_addon:squeezer/rice'})
            event.remove({id: 'tfc_ie_addon:squeezer/rye'})
            event.remove({id: 'tfc_ie_addon:squeezer/soybean'})
            event.remove({id: 'tfc_ie_addon:squeezer/squash'})
            event.remove({id: 'tfc_ie_addon:squeezer/sugarcane'})
            event.remove({id: 'tfc_ie_addon:squeezer/tomato'})
            event.remove({id: 'tfc_ie_addon:squeezer/wheat'})
            event.remove({id: 'immersiveengineering:squeezer/melon_seeds'})
            event.remove({id: 'immersiveengineering:squeezer/beetroot_seeds'})
            event.remove({id: 'immersiveengineering:squeezer/pumpkin_seeds'})
            event.remove({id: 'immersiveengineering:squeezer/hemp_seeds'})
            event.remove({id: 'immersiveengineering:squeezer/wheat_seeds'})
            event.remove({id: 'farmersdelight:integration/immersiveengineering/squeezer/tomato_seeds'})
            event.remove({id: 'farmersdelight:integration/immersiveengineering/squeezer/cabbage_seeds'})
            
            







            // Removing Alloy Smelter 
            event.remove({id: 'immersiveengineering:alloysmelter/brass'})
            event.remove({id: 'immersiveengineering:alloysmelter/insulating_glass'})
            event.remove({id: 'immersiveengineering:alloysmelter/rose_gold'})
            event.remove({id: 'immersiveengineering:alloysmelter/constantan'})
            event.remove({id: 'immersiveengineering:alloysmelter/electrum'})
            event.remove({id: 'immersiveengineering:alloysmelter/bronze'})

            // Removing Blast Furnace
            event.remove({id: 'immersiveengineering:blastfurnace/steel_block'})
            event.remove({id: 'immersiveengineering:blastfurnace/steel'})


            // Crusher
            event.remove({id: 'immersiveengineering:crusher/ingot_iron'})
            event.remove({id: 'immersiveengineering:crusher/raw_block_iron'})
            event.remove({id: 'immersiveengineering:crusher/raw_ore_iron'})






    }
)